E-MailRelay

Public Member Functions | List of all members
GStore::FileWriter Class Reference

Used by GStore::FileStore, GStore::NewFile and GStore::StoredFile to claim write permissions. More...

`#include <gfilestore.h>`

Inheritance diagram for GStore::FileWriter:
[legend]
Collaboration diagram for GStore::FileWriter:
[legend]

## Public Member Functions
| FileWriter ()
| Default constructor. More...
| ~FileWriter ()
| Destructor. Switches identity back.
| FileWriter (const FileWriter &)=delete
| FileWriter (FileWriter &&)=delete
FileWriter & | operator= (const FileWriter &)=delete
FileWriter & | operator= (FileWriter &&)=delete

## Detailed Description

Used by GStore::FileStore, GStore::NewFile and GStore::StoredFile to claim write permissions.

See also
  G::Root

Definition at line 229 of file gfilestore.h.

## Constructor & Destructor Documentation

## ◆ FileWriter()

GStore::FileWriter::FileWriter | ( |  | ) |

Default constructor.

Switches identity for writing a file.

Definition at line 365 of file gfilestore.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.cpp